`<fvLib>` | (Feature-value library) assembles library of feature value elements.
Attributes: |
`type` | indicates type of feature-value library (i.e., what type of feature values it contains).
| Datatype: CDATA
| Values: Character string, e.g. symbolic values.
| Default: #IMPLIED

Example

    <fvLib type='symbolic values'>
      <sym id=sfirst value=first>
      <sym id=ssecond value=second>
    <!-- ... -->
      <sym id=ssing value=singular>
      <sym id=splur value=plural>
    <!-- ... -->
      </fvLib>

Note

Content defined as ((%bVal;)? & (%cVal; | ptr | join)*) in FS3.dtd.

If a `<vAlt>` member of an `<fvLib>` tag contains `<fs>` tags, the result is a semantic error.

Tagset additional tag set for feature structures
Class metadata [and indirectly also:] globincl
Filename `teifs2`
Content: At most one of each of the unique feature values; and zero or more nonunique feature values, except feature structures (which should be placed in feature-structure libraries).
Parents[none]
Children any dft minus msr nbr none null plus rate str sym uncertain vAlt
Declaration

    <!ELEMENT fvLib         - -  ((plus | minus | any | none | dft
                                 | uncertain | null | sym | nbr |
                                 msr | rate | str | vAlt)*)         >
    <!ATTLIST fvLib              %a.global
              type               CDATA               #IMPLIED       >

See 16.3

Back to index